<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: ActionDebug Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/df2/class_action_debug.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">ActionDebug Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for ActionDebug:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../da/df2/class_action_debug.png" usemap="#ActionDebug_map" alt=""/>
  <map id="ActionDebug_map" name="ActionDebug_map">
<area href="../../df/d53/class_action_instant_base.html" alt="ActionInstantBase" shape="rect" coords="0,0,112,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a184e527eec9ca980c3a7bb2929839e1f"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/df2/class_action_debug.html#a184e527eec9ca980c3a7bb2929839e1f">HasTarget</a> ()</td></tr>
<tr class="separator:a184e527eec9ca980c3a7bb2929839e1f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a199f99cb37e9f493e443526d41e04378"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/df2/class_action_debug.html#a199f99cb37e9f493e443526d41e04378">CreateConditionComponents</a> ()</td></tr>
<tr class="separator:a199f99cb37e9f493e443526d41e04378"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a547bebe00826c95face556f6ea6d94ce"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/df2/class_action_debug.html#a547bebe00826c95face556f6ea6d94ce">CreateActionData</a> ()</td></tr>
<tr class="separator:a547bebe00826c95face556f6ea6d94ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1eb5a5ab97bb3018e3a4dce0fd2c33cf"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/df2/class_action_debug.html#a1eb5a5ab97bb3018e3a4dce0fd2c33cf">SetupAction</a> (<a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> player, <a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a> target, <a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a> item, out <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data, <a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a> extra_data=NULL)</td></tr>
<tr class="separator:a1eb5a5ab97bb3018e3a4dce0fd2c33cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb537aa1c5675095787388fca4ffb59f"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/df2/class_action_debug.html#afb537aa1c5675095787388fca4ffb59f">WriteToContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a> ctx, <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:afb537aa1c5675095787388fca4ffb59f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31a451b17d9afcd4fa51e916d5711bee"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/df2/class_action_debug.html#a31a451b17d9afcd4fa51e916d5711bee">ReadFromContext</a> (<a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a> ctx, out ActionReciveData action_recive_data)</td></tr>
<tr class="separator:a31a451b17d9afcd4fa51e916d5711bee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8fc90b9645c26cd174bc87105b50015"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/df2/class_action_debug.html#af8fc90b9645c26cd174bc87105b50015">HandleReciveData</a> (ActionReciveData action_recive_data, <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:af8fc90b9645c26cd174bc87105b50015"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a52fc9c27b7d78cbcdda398105ac8cf"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/df2/class_action_debug.html#a6a52fc9c27b7d78cbcdda398105ac8cf">Start</a> (<a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> action_data)</td></tr>
<tr class="separator:a6a52fc9c27b7d78cbcdda398105ac8cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a542d38c998357b3e045be449d16f8bc5"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/df2/class_action_debug.html#a542d38c998357b3e045be449d16f8bc5">UseAcknowledgment</a> ()</td></tr>
<tr class="separator:a542d38c998357b3e045be449d16f8bc5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d2/d7c/_action_debug_8c_source.html#l00012">12</a> of file <a class="el" href="../../d2/d7c/_action_debug_8c_source.html">ActionDebug.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a547bebe00826c95face556f6ea6d94ce" name="a547bebe00826c95face556f6ea6d94ce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a547bebe00826c95face556f6ea6d94ce">&#9670;&#160;</a></span>CreateActionData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a> ActionDebug::CreateActionData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d7c/_action_debug_8c_source.html#l00025">25</a> of file <a class="el" href="../../d2/d7c/_action_debug_8c_source.html">ActionDebug.c</a>.</p>

</div>
</div>
<a id="a199f99cb37e9f493e443526d41e04378" name="a199f99cb37e9f493e443526d41e04378"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a199f99cb37e9f493e443526d41e04378">&#9670;&#160;</a></span>CreateConditionComponents()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDebug::CreateConditionComponents </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d7c/_action_debug_8c_source.html#l00019">19</a> of file <a class="el" href="../../d2/d7c/_action_debug_8c_source.html">ActionDebug.c</a>.</p>

</div>
</div>
<a id="af8fc90b9645c26cd174bc87105b50015" name="af8fc90b9645c26cd174bc87105b50015"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af8fc90b9645c26cd174bc87105b50015">&#9670;&#160;</a></span>HandleReciveData()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDebug::HandleReciveData </td>
          <td>(</td>
          <td class="paramtype">ActionReciveData&#160;</td>
          <td class="paramname"><em>action_recive_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d7c/_action_debug_8c_source.html#l00086">86</a> of file <a class="el" href="../../d2/d7c/_action_debug_8c_source.html">ActionDebug.c</a>.</p>

</div>
</div>
<a id="a184e527eec9ca980c3a7bb2929839e1f" name="a184e527eec9ca980c3a7bb2929839e1f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a184e527eec9ca980c3a7bb2929839e1f">&#9670;&#160;</a></span>HasTarget()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDebug::HasTarget </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d7c/_action_debug_8c_source.html#l00014">14</a> of file <a class="el" href="../../d2/d7c/_action_debug_8c_source.html">ActionDebug.c</a>.</p>

</div>
</div>
<a id="a31a451b17d9afcd4fa51e916d5711bee" name="a31a451b17d9afcd4fa51e916d5711bee"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a31a451b17d9afcd4fa51e916d5711bee">&#9670;&#160;</a></span>ReadFromContext()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDebug::ReadFromContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#a4ff67286551fc6c18504752a277c8bc1">ParamsReadContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out ActionReciveData&#160;</td>
          <td class="paramname"><em>action_recive_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d7c/_action_debug_8c_source.html#l00064">64</a> of file <a class="el" href="../../d2/d7c/_action_debug_8c_source.html">ActionDebug.c</a>.</p>

</div>
</div>
<a id="a1eb5a5ab97bb3018e3a4dce0fd2c33cf" name="a1eb5a5ab97bb3018e3a4dce0fd2c33cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1eb5a5ab97bb3018e3a4dce0fd2c33cf">&#9670;&#160;</a></span>SetupAction()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDebug::SetupAction </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td>
          <td class="paramname"><em>player</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d2/d9f/_action_targets_8c.html#a2ab3de6f698cb230ae0c129e3e01b341">ActionTarget</a>&#160;</td>
          <td class="paramname"><em>target</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../de/d7a/class_item_base.html">ItemBase</a>&#160;</td>
          <td class="paramname"><em>item</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">out <a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/dc3/group___tools.html#de/d90/class_param">Param</a>&#160;</td>
          <td class="paramname"><em>extra_data</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d7c/_action_debug_8c_source.html#l00031">31</a> of file <a class="el" href="../../d2/d7c/_action_debug_8c_source.html">ActionDebug.c</a>.</p>

</div>
</div>
<a id="a6a52fc9c27b7d78cbcdda398105ac8cf" name="a6a52fc9c27b7d78cbcdda398105ac8cf"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6a52fc9c27b7d78cbcdda398105ac8cf">&#9670;&#160;</a></span>Start()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDebug::Start </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d7c/_action_debug_8c_source.html#l00095">95</a> of file <a class="el" href="../../d2/d7c/_action_debug_8c_source.html">ActionDebug.c</a>.</p>

</div>
</div>
<a id="a542d38c998357b3e045be449d16f8bc5" name="a542d38c998357b3e045be449d16f8bc5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a542d38c998357b3e045be449d16f8bc5">&#9670;&#160;</a></span>UseAcknowledgment()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> ActionDebug::UseAcknowledgment </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d7c/_action_debug_8c_source.html#l00103">103</a> of file <a class="el" href="../../d2/d7c/_action_debug_8c_source.html">ActionDebug.c</a>.</p>

</div>
</div>
<a id="afb537aa1c5675095787388fca4ffb59f" name="afb537aa1c5675095787388fca4ffb59f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb537aa1c5675095787388fca4ffb59f">&#9670;&#160;</a></span>WriteToContext()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void ActionDebug::WriteToContext </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d8/d18/gameplay_8c.html#af1d1033fca2ebd02f4ba61051b6341c4">ParamsWriteContext</a>&#160;</td>
          <td class="paramname"><em>ctx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../da/d5a/class_action_data.html">ActionData</a>&#160;</td>
          <td class="paramname"><em>action_data</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d2/d7c/_action_debug_8c_source.html#l00055">55</a> of file <a class="el" href="../../d2/d7c/_action_debug_8c_source.html">ActionDebug.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/UserActionsComponent/Actions/Instant/<a class="el" href="../../d2/d7c/_action_debug_8c_source.html">ActionDebug.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../da/df2/class_action_debug.html">ActionDebug</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
